Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.endpoint
Interface Client

All Superinterfaces:
  InterceptorProvider, MessageObserver

    public interface Client

extends InterceptorProvider, MessageObserver

Field Summary
`static java.lang.String` | `REQUEST_CONTEXT`
`static java.lang.String` | `RESPONSE_CONTEXT`

Method Summary
`void` | `destroy()` Indicates that the client is no longer needed and that any resources it holds can now be freed.
`Conduit` | `getConduit()` Get the Conduit that messages for this client will be sent on.
`ConduitSelector` | `getConduitSelector()` Get the ConduitSelector responsible for retreiving the Conduit.
`Endpoint` | `getEndpoint()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getRequestContext()` Gets the request context used for future invocations
`java.util.Map<java.lang.String,java.lang.Object>` | `getResponseContext()` Gets the response context from the last invocation on this thread
`java.lang.Object[]` | `invoke(BindingOperationInfo oi, java.lang.Object... params)` Invokes an operation syncronously
`java.lang.Object[]` | `invoke(BindingOperationInfo oi, java.lang.Object[] params, java.util.Map<java.lang.String,java.lang.Object> context)` Invokes an operation syncronously
`void` | `invoke(ClientCallback callback, BindingOperationInfo oi, java.lang.Object... params)` Invokes an operation asyncronously
`void` | `invoke(ClientCallback callback, javax.xml.namespace.QName operationName, java.lang.Object... params)` Invokes an operation asyncronously
`void` | `invoke(ClientCallback callback, java.lang.String operationName, java.lang.Object... params)` Invokes an operation asyncronously
`java.lang.Object[]` | `invoke(javax.xml.namespace.QName operationName, java.lang.Object... params)` Invokes an operation syncronously
`java.lang.Object[]` | `invoke(java.lang.String operationName, java.lang.Object... params)` Invokes an operation syncronously
`void` | `invokeWrapped(ClientCallback callback, javax.xml.namespace.QName operationName, java.lang.Object... params)` Invokes an operation asyncronously
`void` | `invokeWrapped(ClientCallback callback, java.lang.String operationName, java.lang.Object... params)` Invokes an operation asyncronously
`java.lang.Object[]` | `invokeWrapped(javax.xml.namespace.QName operationName, java.lang.Object... params)` Invokes an operation syncronously
`java.lang.Object[]` | `invokeWrapped(java.lang.String operationName, java.lang.Object... params)` Invokes an operation syncronously
`boolean` | `isThreadLocalRequestContext()` Checks if the Request context is thread local or global.
`void` | `setConduitSelector(ConduitSelector selector)` Set the ConduitSelector responsible for retreiving the Conduit.
`void` | `setExecutor(java.util.concurrent.Executor executor)` Sets the executor which is used to process Asynchronous responses.
`void` | `setThreadLocalRequestContext(boolean b)` Sets whether the request context is thread local or global to this client.

Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider
`getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

Methods inherited from interface org.apache.cxf.transport.MessageObserver
`onMessage`

Field Detail

### REQUEST_CONTEXT

    static final java.lang.String REQUEST_CONTEXT

See Also:
  Constant Field Values

### RESPONSE_CONTEXT

    static final java.lang.String RESPONSE_CONTEXT

See Also:
  Constant Field Values

Method Detail

### invoke

    java.lang.Object[] invoke(java.lang.String operationName,
                              java.lang.Object... params)
                              throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `operationName` - The name of the operation to be invoked. The service namespace will be used when looking up the BindingOperationInfo.
    `params` - The params that matches the parts of the input message of the operation. If the BindingOperationInfo supports unwrapping, it assumes the params are in the "unwrapped" form. If params are in the wrapped form, use invokeWrapped
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### invoke

    java.lang.Object[] invoke(javax.xml.namespace.QName operationName,
                              java.lang.Object... params)
                              throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `operationName` - The name of the operation to be invoked
    `params` - The params that matches the parts of the input message of the operation. If the BindingOperationInfo supports unwrapping, it assumes the params are in the "unwrapped" form. If params are in the wrapped form, use invokeWrapped
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### invokeWrapped

    java.lang.Object[] invokeWrapped(java.lang.String operationName,
                                     java.lang.Object... params)
                                     throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `operationName` - The name of the operation to be invoked. The service namespace will be used when looking up the BindingOperationInfo.
    `params` - The params that matches the parts of the input message of the operation
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### invokeWrapped

    java.lang.Object[] invokeWrapped(javax.xml.namespace.QName operationName,
                                     java.lang.Object... params)
                                     throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `operationName` - The name of the operation to be invoked
    `params` - The params that matches the parts of the input message of the operation
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### invoke

    java.lang.Object[] invoke(BindingOperationInfo oi,
                              java.lang.Object... params)
                              throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `oi` - The operation to be invoked
    `params` - The params that matches the parts of the input message of the operation
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### invoke

    java.lang.Object[] invoke(BindingOperationInfo oi,
                              java.lang.Object[] params,
                              java.util.Map<java.lang.String,java.lang.Object> context)
                              throws java.lang.Exception

  Invokes an operation syncronously

  Parameters:
    `oi` - The operation to be invoked
    `params` - The params that matches the parts of the input message of the operation
    `context` - Optional (can be null) contextual information for the invocation
  Returns:
    The return values that matche the parts of the output message of the operation
  Throws:
    `java.lang.Exception`

### invoke

    void invoke(ClientCallback callback,
                java.lang.String operationName,
                java.lang.Object... params)
                throws java.lang.Exception

  Invokes an operation asyncronously

  Parameters:
    `callback` - The callback that is called when the response is ready
    `operationName` - The name of the operation to be invoked. The service namespace will be used when looking up the BindingOperationInfo.
    `params` - The params that matches the parts of the input message of the operation. If the BindingOperationInfo supports unwrapping, it assumes the params are in the "unwrapped" form. If params are in the wrapped form, use invokeWrapped
  Throws:
    `java.lang.Exception`

### invoke

    void invoke(ClientCallback callback,
                javax.xml.namespace.QName operationName,
                java.lang.Object... params)
                throws java.lang.Exception

  Invokes an operation asyncronously

  Parameters:
    `callback` - The callback that is called when the response is ready
    `operationName` - The name of the operation to be invoked
    `params` - The params that matches the parts of the input message of the operation. If the BindingOperationInfo supports unwrapping, it assumes the params are in the "unwrapped" form. If params are in the wrapped form, use invokeWrapped
  Throws:
    `java.lang.Exception`

### invokeWrapped

    void invokeWrapped(ClientCallback callback,
                       java.lang.String operationName,
                       java.lang.Object... params)
                       throws java.lang.Exception

  Invokes an operation asyncronously

  Parameters:
    `callback` - The callback that is called when the response is ready
    `operationName` - The name of the operation to be invoked. The service namespace will be used when looking up the BindingOperationInfo.
    `params` - The params that matches the parts of the input message of the operation
  Throws:
    `java.lang.Exception`

### invokeWrapped

    void invokeWrapped(ClientCallback callback,
                       javax.xml.namespace.QName operationName,
                       java.lang.Object... params)
                       throws java.lang.Exception

  Invokes an operation asyncronously

  Parameters:
    `callback` - The callback that is called when the response is ready
    `operationName` - The name of the operation to be invoked
    `params` - The params that matches the parts of the input message of the operation
  Throws:
    `java.lang.Exception`

### invoke

    void invoke(ClientCallback callback,
                BindingOperationInfo oi,
                java.lang.Object... params)
                throws java.lang.Exception

  Invokes an operation asyncronously

  Parameters:
    `callback` - The callback that is called when the response is ready
    `oi` - The operation to be invoked
    `params` - The params that matches the parts of the input message of the operation
  Throws:
    `java.lang.Exception`

### getRequestContext

    java.util.Map<java.lang.String,java.lang.Object> getRequestContext()

  Gets the request context used for future invocations

  Returns:
    context The context

### getResponseContext

    java.util.Map<java.lang.String,java.lang.Object> getResponseContext()

  Gets the response context from the last invocation on this thread

  Returns:
    context The context

### setThreadLocalRequestContext

    void setThreadLocalRequestContext(boolean b)

  Sets whether the request context is thread local or global to this client. By default, the request context is "global" in that any values set in the context are seen by all threads using this client. If set to true, the context is changed to be a ThreadLocal and values set are not seen by other threads.

  Parameters:
    `b` -

### isThreadLocalRequestContext

    boolean isThreadLocalRequestContext()

  Checks if the Request context is thread local or global.

  Returns:

### getEndpoint

    Endpoint getEndpoint()

### getConduit

    Conduit getConduit()

  Get the Conduit that messages for this client will be sent on.

  Returns:
    Conduit

### getConduitSelector

    ConduitSelector getConduitSelector()

  Get the ConduitSelector responsible for retreiving the Conduit.

  Returns:
    the current ConduitSelector

### setConduitSelector

    void setConduitSelector(ConduitSelector selector)

  Set the ConduitSelector responsible for retreiving the Conduit.

  Parameters:
    `selector` - the ConduitSelector to use

### destroy

    void destroy()

  Indicates that the client is no longer needed and that any resources it holds can now be freed.

### setExecutor

    void setExecutor(java.util.concurrent.Executor executor)

  Sets the executor which is used to process Asynchronous responses. The default is to use the threads provided by the transport. (example: the JMS listener threads)

  Parameters:
    `executor` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF